### Constructor

# Gsk.ColorMatrixNode.new

#### Declaration [src]

    GskRenderNode*
    gsk_color_matrix_node_new (
      GskRenderNode* child,
      const graphene_matrix_t* color_matrix,
      const graphene_vec4_t* color_offset
    )

#### Description [src]

Creates a `GskRenderNode` that will drawn the `child` with `color_matrix`.

In particular, the node will transform the operation

    pixel = color_matrix * pixel + color_offset

for every pixel.

#### Parameters

`child` | `GskRenderNode`
| The node to draw
| Ownership is not transferred to the callee
`color_matrix` | `const graphene_matrix_t*`
| The matrix to apply
| Ownership is not transferred to the callee
`color_offset` | `const graphene_vec4_t*`
| Values to add to the color
| Ownership is not transferred to the callee

#### Return value

Returns: `GskColorMatrixNode`
A new `GskRenderNode`
Ownership of the data is transferred to the caller